Subject: [Anima] 48h timeout: Constrained BRSKI hackathon / any objections to ask for early allocation

From: Toerless Eckert <[email-masked]>
Date: Tue, 20 Jul 2021 23:19:48 +0200

Dear ANIMA WG

The constrained BRSKI  team is actively working on their impleemntations, also
in the hackathon (see hackathon wiki for daily time and meeting coordinates).

Today we ran into the issue that the implementations need early allocations
codepoints so as to not run into implementation/interop issues later on
(attempting to find some temporary code poins, change later).

The RFC7120 process expects WG chairs (in section 3.1.c) to vet with the
WG that there is consensus in the WG to ask for early allocation. Given
how we already went through the same process for RFC8366 (CMS voucher),
i think there will be no concerns, so i hope a short deadline for
this mail is appropriate.

Please chime in with support and/or reasons if/why you see an issue.

Appended the mail i would send to ADs in 48h unless there are concerns.

Cheers
    Toerless

-----

To: [email-masked], 	[email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Subject: Early allocation request for draft-ietf-anima-constrained-voucher (according to RFC7120)

Dear Rob, dear Warren,

As chairs of the ANIMA WG, we hereby request your AD approval
for early allocation of code points from IANA according to RFC7120
for draft-ietf-anima-constrained-voucher.

This is similar to the early registration request we did for what
is now 	RFC8366 (voucher), where we requested voucher encoding with CMS
(application/voucher-cms+json) in 2019. 

We have now active development and interop work (during IETF111 Hackathon)
for the new encoding option for the constained voucher via COSE. It would
help the ongoing pre-production implementations a lot if they would not have to
come up with non-assigned code-points now.

Draft:

https://datatracker.ietf.org/doc/html/draft-ietf-anima-constrained-voucher-13
to be pushed soon after datatracker opens again, until then:
https://github.com/anima-wg/constrained-voucher/blob/master/constrained-voucher.txt

We request two early allocations depending on each other:

1. IANA "Media Types" applications registry
   https://www.iana.org/assignments/media-types/media-types.xhtml#application

   Name                 Template                        Reference
   voucher-cose+cbor	application/voucher-cms+json	[draft-ietf-anima-constrained-voucher]

   Template according to draft, section 12.5/12.5.1:
   This section registers the 'application/voucher-cose+cbor' in the
   IANA "Media Types" registry.  This media type is used to indicate
   that the content is a CBOR voucher or voucher request signed with a
   COSE_Sign1 structure [I-D.ietf-cose-rfc8152bis-struct].

   Type name:  application
   Subtype name:  voucher-cose+cbor
   Required parameters:  none
   Optional parameters:  cose-type
   Encoding considerations:  COSE_Sign1 CBOR vouchers are COSE objects
                             signed with one signer.
   Security considerations:  See Security Considerations, Section
   Interoperability considerations:  The format is designed to be
     broadly interoperable.
   Published specification:  THIS RFC.
   Applications that use this media type:  ANIMA, 6tisch, and other
     zero-touch imprinting systems
   Additional information:
     Magic number(s):  None
     File extension(s):  .vch
     Macintosh file type code(s):  none
   Person & email address to contact for further information:  IETF
     ANIMA WG
   Intended usage:  LIMITED
   Restrictions on usage:  NONE
   Author:  ANIMA WG
   Change controller:  IETF
   Provisional registration? (standards tree only):  NO

2. CoAP content type registy
   https://www.iana.org/assignments/core-parameters/core-parameters.xhtml#content-formats

   Media type                    Encoding   ID  References
   ----------------------------  --------- ---- ----------
   application/voucher-cose+cbor           TBD3 [draft-ietf-anima-constrained-voucher]

The ANIMA WG chairs have verified that the required conditions for
early allocation from RFC7120, Section 2 are met:

a) Standards Action (document is standards track ANIMA WG draft)

b) The WG draft adequately describes the desired semantics.

c) The WG participants actively working on implementations of the
   draft have confirmed that the semantic of the code point is
   stable to the extend that it is clear that the final
   RFC will need it, and active interoperability testing is ongoing,
   only challenged by availability of an early allocation.

d) The working group chairs think that it would be highly helpful to
   receive an early allocation code point now to support further
   interoperability testing, ensuring that the final RFC has the
   highest level of practical vetting and can be finished as soon
   as possible.

The request for early allocation was brought up in the working group
and was faced with no disagreement. The working group chairs also
understand that there is no risk of depletion of the registry in question.

Thank you very much
    Toerless (for the chairs)

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 20 Jul 2021 23:41:22 +0200

>   Optional parameters:  cose-type

Ugh.

Grüße, Carsten

---

From: Esko Dijk <[email-masked]>
Date: Wed, 21 Jul 2021 07:33:41 +0000

Thanks Toerless,

>   Optional parameters:  cose-type

Carsten also flagged this. This is a mistake in the registration text I believe. Because the format we define already indicates COSE_Sign1 there is no support for any other cose-type's needed. Hence, there are no optional parameters for this media type. It should be

Optional parameters:  N/A

(But that shouldn't stop us from requesting the early allocation.)

Esko

-----Original Message-----
From: Anima <[email-masked]> On Behalf Of Toerless Eckert
Sent: Tuesday, July 20, 2021 23:20
To: [email-masked]
Subject: [Anima] 48h timeout: Constrained BRSKI hackathon / any objections to ask for early allocation

Dear ANIMA WG

Cheers
    Toerless

-----

Dear Rob, dear Warren,

Draft:

   Name                 Template                        Reference

   Type name:  application

Thank you very much

_______________________________________________
Anima mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/anima

---

From: Michael Richardson <[email-masked]>
Date: Wed, 21 Jul 2021 15:55:37 -0400

> Ugh.

removed from git copy.